package com.ruoyi.system.controller;

import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import com.ruoyi.common.core.web.domain.AjaxResult;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import com.ruoyi.common.log.enums.BusinessType;
import com.ruoyi.common.log.annotation.Log;
import com.ruoyi.common.core.utils.poi.ExcelUtil;
import javax.servlet.http.HttpServletResponse;
import org.springframework.web.bind.annotation.GetMapping;
import com.ruoyi.common.security.annotation.RequiresPermissions;
import java.util.List;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.ruoyi.system.domain.SnServerLog;
import org.springframework.beans.factory.annotation.Autowired;
import com.ruoyi.system.service.ISnServerLogService;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.core.web.controller.BaseController;

@RestController
@RequestMapping({ "/SnServerLog" })
public class SnServerLogController extends BaseController
{
    @Autowired
    private ISnServerLogService snServerLogService;
    
    @RequiresPermissions({ "system:SnServerLog:list" })
    @GetMapping({ "/list" })
    public TableDataInfo list(final SnServerLog snServerLog) {
        this.startPage();
        final List<SnServerLog> list = this.snServerLogService.selectSnServerLogList(snServerLog);
        return this.getDataTable((List)list);
    }
    
    @RequiresPermissions({ "system:SnServerLog:export" })
    @Log(title = "服务器操作日志", businessType = BusinessType.EXPORT)
    @PostMapping({ "/export" })
    public void export(final HttpServletResponse response, final SnServerLog snServerLog) {
        final List<SnServerLog> list = this.snServerLogService.selectSnServerLogList(snServerLog);
        final ExcelUtil<SnServerLog> util = (ExcelUtil<SnServerLog>)new ExcelUtil((Class)SnServerLog.class);
        util.exportExcel(response, (List)list, "服务器操作日志数据");
    }
    
    @RequiresPermissions({ "system:SnServerLog:query" })
    @GetMapping({ "/{logId}" })
    public AjaxResult getInfo(@PathVariable("logId") final Long logId) {
        return this.success((Object)this.snServerLogService.selectSnServerLogByLogId(logId));
    }
    
    @RequiresPermissions({ "system:SnServerLog:add" })
    @Log(title = "服务器操作日志", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody final SnServerLog snServerLog) {
        return this.snServerLogService.insertSnServerLog(snServerLog);
    }
    
    @RequiresPermissions({ "system:SnServerLog:edit" })
    @Log(title = "服务器操作日志", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody final SnServerLog snServerLog) {
        return this.toAjax(this.snServerLogService.updateSnServerLog(snServerLog));
    }
    
    @RequiresPermissions({ "system:SnServerLog:remove" })
    @Log(title = "服务器操作日志", businessType = BusinessType.DELETE)
    @DeleteMapping({ "/{logIds}" })
    public AjaxResult remove(@PathVariable final Long[] logIds) {
        return this.toAjax(this.snServerLogService.deleteSnServerLogByLogIds(logIds));
    }
}
